Skip to navigation

Get agreement responses for template version

View as Markdown

Gets the agreement responses for a specific version.

Required authentication scopes: click.manage.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequired

The external account number (int) or account ID GUID.

clickwrapIdstringRequired
The GUID of the elastic template.
versionIdstringRequired

The ID of the version. This value can be the version’s GUID or the version string, such as 1.3.

Query parameters

client_user_idstringOptional
The client user ID to filter to a single user's agreements.
from_datestringOptional
The earliest date to return agreements from.
page_numberstringOptional

The results for this endpoint are paginated. Use this parameter to indicate which page to return. The minimumPagesRemaining value in the response indicates whether to continue querying for additional pages.

For example, if the page size is 40:

  • If this property is set to 0 (the default), the endpoint returns results 1-40.
  • If this property is set to 1, the endpoint returns results 41-80.

The default value is 0.

statusstringOptional

Elastic template status. Possible values:

  • active
  • inactive
  • deleted
to_datestringOptional
The latest date to return agreements from.

Response

Successful response.
beginCreatedOnobjectOptional
User agreements from this datetime.
minimumPagesRemainingintegerOptional
Number of pages remaining in the response.
pageintegerOptional
The number of the current page.
pageSizeintegerOptional
The number of items per page.
userAgreementslist of objectsOptional
An array of user agreements.

Errors

400
Bad Request Error